summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-06-21 18:51:51 +0000
committerMike Frysinger <vapier@gentoo.org>2015-06-21 18:51:51 +0000
commitf59e14093d547d553c7a182849408108a954d591 (patch)
treeffde5136669ab377219561677b9a96dd482abf8a /dev-libs/elfutils
parentalpha stable wrt bug #550032 (diff)
downloadhistorical-f59e14093d547d553c7a182849408108a954d591.tar.gz
historical-f59e14093d547d553c7a182849408108a954d591.tar.bz2
historical-f59e14093d547d553c7a182849408108a954d591.zip
Version bump.
Package-Manager: portage-2.2.20/cvs/Linux x86_64 Manifest-Sign-Key: 0xD2E96200
Diffstat (limited to 'dev-libs/elfutils')
-rw-r--r--dev-libs/elfutils/ChangeLog7
-rw-r--r--dev-libs/elfutils/Manifest31
-rw-r--r--dev-libs/elfutils/elfutils-0.163.ebuild72
3 files changed, 95 insertions, 15 deletions
diff --git a/dev-libs/elfutils/ChangeLog b/dev-libs/elfutils/ChangeLog
index f61555ec55bc..dadb3148acfa 100644
--- a/dev-libs/elfutils/ChangeLog
+++ b/dev-libs/elfutils/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for dev-libs/elfutils
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/ChangeLog,v 1.192 2015/06/12 15:41:44 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/ChangeLog,v 1.193 2015/06/21 18:51:49 vapier Exp $
+
+*elfutils-0.163 (21 Jun 2015)
+
+ 21 Jun 2015; Mike Frysinger <vapier@gentoo.org> +elfutils-0.163.ebuild:
+ Version bump.
*elfutils-0.162 (12 Jun 2015)
diff --git a/dev-libs/elfutils/Manifest b/dev-libs/elfutils/Manifest
index 7d4d3f4da407..c4b3eed7e1ca 100644
--- a/dev-libs/elfutils/Manifest
+++ b/dev-libs/elfutils/Manifest
@@ -41,6 +41,8 @@ DIST elfutils-0.161-portability.patch 63317 SHA256 bf0363d03e1e4668778eb4e7ddd10
DIST elfutils-0.161.tar.bz2 5524766 SHA256 570c91a1783fa5386aaa2dfdd08dda1de777c2b63bf3b9c1437d635ffdd7a070 SHA512 c5061faa01cb6f211c326574f10bd5eb4fe8437afb2581f26cf34e88053d7bd91dc47bae1c8bdd143c35cad055bf48eab1e03acf4069a8e8843643ecf2a198df WHIRLPOOL adf14b937b38fff1de0e0cd18a6866d4080ed6ee80fab73a45c1b94ffe546fe4c1662b090f6802a522c5103fb7826fac46c5e4ccfc8441f09025285722d08ede
DIST elfutils-0.162-portability.patch 70906 SHA256 71cd52c43af31a9e445ed14e2f51e4aee32a00c1ffb251390c1a247cfc503d23 SHA512 8bd5647a169b9201dfc93f98a6580ebae34433180941b481248cb644f4991cb670f073d7ca63b203821a398ddd96558b069461aef83b8dd1a60aa154f15dccd1 WHIRLPOOL c31586f846e6cff511996c97015b479d0bc4b80577fb69df140f9cbae817a17ddcaca58a1a0e16ded6efc7f9ae3f570e74b87888a32b524ab9d7c5d3a02f7419
DIST elfutils-0.162.tar.bz2 6021217 SHA256 526106bc6be898b3b3281a66b83d64993aa0ef1b55b0416766868ad53d0a1951 SHA512 5d62a84b509f638cb62175b332fdeaa68e04677893d5647fd944e5b5928fa4f0daf8f161dc64f7762dc736f74471c8d617cbc54464cf2e1f79141e937d3db4a9 WHIRLPOOL 2e8bee400f0209206373d716199835729f4d4da97116a4ec76a2dfe977e8a431601208655d576d66e6f1e4eb630dab004eedebabd58a03e4938b745f71daf35d
+DIST elfutils-0.163-portability.patch 72818 SHA256 e4e82315dad2efaa4e4476503e7537e01b7c1b1f98a96de4ca1c7fa85f4f1045 SHA512 c657da2c4a37e8dac6fe4b399ef72ff60b6780000721f0617fb1dc0a6d962cb1e609b8e72fa0dc5b2d50db8dd68dcd58096bf2e475f7c5461f1765a4ee4c0d2e WHIRLPOOL 0ff248e4767778351f46c91fd5f189d7d2cfee59ac2afdfd5fee659151b72e33d310440273da0ed6f5611f76f9ec651ff51acffcc0557a0ec111c50b819db091
+DIST elfutils-0.163.tar.bz2 6029307 SHA256 7c774f1eef329309f3b05e730bdac50013155d437518a2ec0e24871d312f2e23 SHA512 80cb37b965e85f6c6b51247f0cb07cde9d9071e7cdde4c028479a609e12dfb196e428fa8743586ce8a46d49dac74073b55bcb812ea6118471c0de07b3dd7f772 WHIRLPOOL 5e2b7881ec96438e0ecb583b77202ccdad6ae7b46f2dcc0b2869119642173bc5da5f26d51bf4464fc9c5c1951f14a4a11bf8dfc6906e6dfd551782c4c9f28cd8
EBUILD elfutils-0.146.ebuild 1865 SHA256 1a85b1753d566f54a590f558564864abb45cb347d20dfb43cd927b7fba3e8009 SHA512 039a5283b6d342460a2a205c7d546e8f42d3a9c615ef768e2406fb729d4ca001ffe7c7422acfeb828f0a148f68df97b4f2a2028ae4fa486e6a39e4b49f49b91f WHIRLPOOL 04872a2a2c15f9bc7955e2d655346a6137f2f40d122dc2faf226a6bc945c883d31a233af8adc517a4d9a8186d01c921aedc6d63ce0fc24069f76696543adaf3b
EBUILD elfutils-0.148.ebuild 1881 SHA256 bd1ff4660130ad2f89925a84e2a145770d8fc3e375aa2834f8050e2e7e63cc65 SHA512 678a1e07b426b321e0b0ad0f68200c418903c7e08d9844f4ce9cb5adcea8ecb6e8f009436fbd1180847e4ccad6274f6c521cefb9019b719b4f2f1452d99a8572 WHIRLPOOL 5c9c72b4ba0847140e9b12e75f7b7099f6139dd334f83a900629773fa943df9975762f0f3b04256a8de699dafdfd052802950124990470652fd1bd9902e3e7c8
EBUILD elfutils-0.149.ebuild 1728 SHA256 2b7fb3835eded3175ff91b5fb45f57526b7a8467c58538c85fd21d6de3ac1647 SHA512 e20141aeb66c6a1c6152dff877b5304447e1c6bba5402812374b9aa4d3b5abf894acbb177561952ddec679ba1c2d2c6bd74d209aad0c1e8238eadd97ff24c8c2 WHIRLPOOL a8ded281d1593ecb7846a9d5e6602e0650d82eb05b2d2753b6c773255a7cc0e33f5a47f3faf05eaddcb06250bb16473ccc4f59a4b485d79c8f46d224d45279fa
@@ -60,22 +62,23 @@ EBUILD elfutils-0.159.ebuild 2513 SHA256 6c037351d74c4a7066c61fc89106f34539847c2
EBUILD elfutils-0.160.ebuild 2513 SHA256 def8515851f86cc2ec178b26d40474a7bbcd933c9aad8a9b64ba9674dbb43876 SHA512 1d0db5c5c0098d26fa1e398b805f7ada10dd802146b2628ff288ef1b7f8336b95ffed36dc1ddc3e05743ac1bbf3d0dd16fe52f86742c6584d038a583d224e782 WHIRLPOOL 8d83e8e16a311d610b71c3367904c88beb65ab1cf45e079273d2cdf3aabcebe4b37aba0d7e0dd03901430d6e5ac6910fd862f6c82400dbc270933e3166899a13
EBUILD elfutils-0.161.ebuild 2581 SHA256 94d8596de174657178f41bd6c228d065c1c0edf6fc956892573fac6952adaea5 SHA512 7d09412b68daefb5848bf304585d57f14d41d0cfd569b52510572e2f89f4c0f291c9d8b05a965328a34e1b0b9072ae5161cb93ef235966e8bf4aee60d9efdc33 WHIRLPOOL 4e7176e1ebf0241e4766b3a1f093c4c231517a1177533f5799e4c390edba2888fba4fa1070911faf33f12e1271457d7c3d236c654c1f5ff9e6f71c55a2d81dab
EBUILD elfutils-0.162.ebuild 2519 SHA256 7b981d9cfa7da3517cb9d9f8b909bbf1d4b2a705fe7201329de70f88ca1bbbae SHA512 6a2c412d6f7c6e6b076678834ffb08dd7972b238a7203e294cdc802b3966e6ef4aa405f3f6a9f96e1997d038383afb4a8306a82a19280d867f5f25cd3eca1252 WHIRLPOOL 1f1889a594c1f12a4568b77bc9503cdab53d691d9baaa7b507d33c28489f149469512d48180bd2316b2c7ba08b105a66e64163a852a01de5e81da37aec9c2857
-MISC ChangeLog 25978 SHA256 832915d5dacfc820e7e77140cd2354df5c9e7723793a2162787d092b734861d3 SHA512 8ae720f6ee6b0f71be981ae79d1c248fe47d3e52c7c50e0192968aa755bd2ff60b136bd0e1e6b701ce31aee203ab8460c56b3683e6d29fdeef06491590a84a3f WHIRLPOOL 33af0578882ceba41efea443bf14a94edce97fad07960308805c0a29ef9cd4c1197252f7d742ae2eb964f18bb98fe2ae0b61b7cfd6ab08054ac8aa99c28b4e59
+EBUILD elfutils-0.163.ebuild 2519 SHA256 aabde52c4e4d8e636a4ba93327742c038a504da44dae267d93f0262b1bcdd3ad SHA512 2d184fa8b2d9359018a2ffd6f24432d35a5312da53ae17ab5bc8ed152d180f0bb82b1db433617867c2f8341b12794f7a7c8fd5e2cd9de4df7f04a2bee2f89151 WHIRLPOOL 9db13200b9b9a567138aadd7c683eba6acd8d609c1ff0e1fd31158d63c68dcf991fcafd779e32c0a80901ce0446919e85217936692785afb3007e898c41cb288
+MISC ChangeLog 26100 SHA256 e819f473745edbb6cdeca28f13df5aef4ec35ac8317b162fc293a8e342add483 SHA512 a547ae5dff21e7580c5b5189fa0f489c0d81c056ca3f6a53f2d1a88de61e73b2aaef0649ad36d31f90016d9922fc13cd19998dacfe47030c9b588b071341848b WHIRLPOOL 14b957f282459ef99e5b955ce08ed8708762a31261082304487ad88450367e124db233d4cf9300c010adac4d4c0ac9dcd1f7f77c9803ab78a6da1ad17b229e8d
MISC metadata.xml 438 SHA256 33cbcbd727257fa6d03488d531c099d33f4c3e4db3cf3739d11d8d4cd8266b37 SHA512 e013123116aa3a3f00fa77cc3e9d18a5c1f481dd304ee6af6e77e3e5e44fb9e3f94ac542fc10fb0c59dea6699c15cce11b1513c061494919f1e821120fb162d9 WHIRLPOOL f07f16d5235c538cef44daca3210ad7374af35705b6562b9bb17b2a5532ba0ed6ea32d1d7f23e93c899e8868503f7a9f8994d2454ca144c45ae7e9317fb0cabd
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQIcBAEBCAAGBQJVev25AAoJEPGu1DbS6WIAbDoP/3SBKOFYckBshNRKielbSjfj
-aRNAKcR2wxP1fs/22oroc+kSZ4UU3KpDT5NleYQx8Ay81dxe+BOEXOehqD0AEFi5
-HqYmimccbVSiVBViGBzFB/iDjk2555MK/o1DRW9A9oT+JeLJzVvin3kMBVbCBf3Q
-HDaXM7nVH9zTs2IZf8s3z7kmylJOoo7fuYwDC8u/2BtIQ6IFHFHPA1Ze50a0xfVR
-o4lLIWyRQhQwI3Nvacxg0I1BiWUEfbQdZeVfiSFaNCHXeNa0s4krDrjWkMllzBJQ
-zOlfoIIdaWpQCFQBkw20Q04fAlaJLVEBybeHm9eLECgfn0mBumP4YTju7mVWA76V
-56gvvV7wL/LAuyPJuuxwiqR1ICA1dJRDaYo6k6lsnZAAlClHHbkZumcVSZCYOKKO
-71cXtWSa+B5FQFtMEuyv9A3jOSgDcFUSab/mPP3snXH2V6IJEqYN23nizKvMhtW4
-7WOuGOG3kcH7j4h8Ks7TLcvEdHRz2wHLjPphmsV/b5X1HUb/Hk1YiLisQFmBaWaL
-Wt9V8gpIoiSIPvsAowBOU8pymvGsy6cvfLkTa8Ul8z2f8NrTtIfI3HFDpggauGjI
-cfQK+XbmEIEvDHqxGtx4BahsfGZdT1OS7aTWcGhBK//lMvObnAn966ojktY/Wqi2
-wH80NWHcZS6rHnSRpTTr
-=hPhj
+iQIcBAEBCAAGBQJVhwfGAAoJEPGu1DbS6WIAUusQAJPQhJiiJ7SP1HADAsl8WL9S
+HZEEh+v2q1TU9r+nOi558ZAebCl2rDVvLU52JbV+jQlFB+nH3W2DD2yRgFJvVp0W
+Nqt9AbrfJXy2my39lEh3bXbF++cg63s/be1riUmbluPkWdwUomup1yhb7W4MOiof
+jQObEC51YCj+kP4UsgKpFRIFws9AcdJ4jEX4tGXT29EiWt9ERaoDAoJaFK/tY5Ia
+mJFDD3+TFgUnD1Qm9ni8p076GP2Bq+C1qn4vpd1dt9M9n3CuFA1lWTkmrtx7vld0
+WZ0IeLkGkZQ8GtKdp/sCH2CcZSDvjL0ronGD+MS2O7O5k23CiEZeQvOmHc0aTWFM
+mR34cWz8R3FXAxa3HXLYEEUDqgQWPZSGRKVloxU+scGD0buvVJnfxwlfZ1lMwRIA
+zWdQ7Su6qMIiZGK93KW+5KzbrQ1qi/VKCUWiSmefAoiDg2hM17zyxVrP1dMro5tA
+1EzaLv8SjnOqMsLWcl8ezgGfjSZFBSWOiT4NXuDpLhDlwz6QDm8bPIzSO2P5kpyq
+hltXhY1GG7FzU6ssdQlYEVsPyhkrOqMA5DyPJ1teE1lGf57ti/y9YnxsywfnVdG9
+Ppoe5bjGKoL9Jc/Ost1ndJuGMUpV+vklCoq7+fR54BarZG4jggf+7M6oGTujR3/F
+IS4x/u1aQQeuxQKnil0F
+=wTxW
-----END PGP SIGNATURE-----
diff --git a/dev-libs/elfutils/elfutils-0.163.ebuild b/dev-libs/elfutils/elfutils-0.163.ebuild
new file mode 100644
index 000000000000..811dd1e6dadc
--- /dev/null
+++ b/dev-libs/elfutils/elfutils-0.163.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/elfutils-0.163.ebuild,v 1.1 2015/06/21 18:51:49 vapier Exp $
+
+EAPI="4"
+
+inherit eutils flag-o-matic multilib-minimal
+
+DESCRIPTION="Libraries/utilities to handle ELF objects (drop in replacement for libelf)"
+HOMEPAGE="https://fedorahosted.org/elfutils/"
+SRC_URI="https://fedorahosted.org/releases/e/l/${PN}/${PV}/${P}.tar.bz2
+ https://fedorahosted.org/releases/e/l/${PN}/${PV}/${PN}-portability-${PV}.patch -> ${P}-portability.patch"
+
+LICENSE="GPL-2-with-exceptions"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="bzip2 lzma nls static-libs test +threads +utils zlib"
+
+# This pkg does not actually seem to compile currently in a uClibc
+# environment (xrealloc errs), but we need to ensure that glibc never
+# gets pulled in as a dep since this package does not respect virtual/libc
+RDEPEND="zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+ bzip2? ( >=app-arch/bzip2-1.0.6-r4[${MULTILIB_USEDEP}] )
+ lzma? ( >=app-arch/xz-utils-5.0.5-r1[${MULTILIB_USEDEP}] )
+ !dev-libs/libelf
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20130224-r11
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ >=sys-devel/flex-2.5.4a
+ sys-devel/m4"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.118-PaX-support.patch
+ epatch "${DISTDIR}"/${P}-portability.patch
+ use static-libs || sed -i -e '/^lib_LIBRARIES/s:=.*:=:' -e '/^%.os/s:%.o$::' lib{asm,dw,elf}/Makefile.in
+ sed -i 's:-Werror::' */Makefile.in
+ # some patches touch both configure and configure.ac
+ find -type f -exec touch -r configure {} +
+}
+
+src_configure() {
+ use test && append-flags -g #407135
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --disable-werror \
+ $(use_enable nls) \
+ $(use_enable threads thread-safety) \
+ --program-prefix="eu-" \
+ $(use_with zlib) \
+ $(use_with bzip2 bzlib) \
+ $(use_with lzma)
+}
+
+multilib_src_test() {
+ env LD_LIBRARY_PATH="${BUILD_DIR}/libelf:${BUILD_DIR}/libebl:${BUILD_DIR}/libdw:${BUILD_DIR}/libasm" \
+ LC_ALL="C" \
+ emake check || die
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc NOTES
+ # These build quick, and are needed for most tests, so don't
+ # disable their building when the USE flag is disabled.
+ use utils || rm -rf "${ED}"/usr/bin
+}